curl --request POST \
--url https://api.hubapi.com/cms/v3/blogs/authors/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"avatar": "<string>",
"bio": "<string>",
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"facebook": "<string>",
"fullName": "<string>",
"id": "<string>",
"language": "aa",
"linkedin": "<string>",
"name": "<string>",
"slug": "<string>",
"translatedFromId": 123,
"twitter": "<string>",
"updated": "2023-11-07T05:31:56Z",
"website": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Retrieve the Blog Author objects identified in the request body.
curl --request POST \
--url https://api.hubapi.com/cms/v3/blogs/authors/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"avatar": "<string>",
"bio": "<string>",
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"facebook": "<string>",
"fullName": "<string>",
"id": "<string>",
"language": "aa",
"linkedin": "<string>",
"name": "<string>",
"slug": "<string>",
"translatedFromId": 123,
"twitter": "<string>",
"updated": "2023-11-07T05:31:56Z",
"website": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Specifies whether to return deleted Blog Authors. Defaults to false.
The JSON array of Blog Author ids.
Wrapper for providing an array of strings as inputs.
JSON nodes to input.
successful operation
Response object for batch operations on blog authors.
Time of batch operation completion.
Results of batch operation.
Show child attributes
Time of batch operation start.
Status of batch operation.
CANCELED, COMPLETE, PENDING, PROCESSING Links associated with batch operation.
Show child attributes
Time of batch operation request.
Was this page helpful?